Skip to main content
DELETE
Delete a function for a definition

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app associated with the automation action.

definitionId
string
required

The unique identifier of the automation action definition.

functionType
enum<string>
required

The type of function to delete. Valid values are PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS, POST_FETCH_OPTIONS, POST_ACTION_EXECUTION.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Response

No content

Last modified on September 9, 2026